*** a/src/backend/catalog/objectaddress.c
--- b/src/backend/catalog/objectaddress.c
***************
*** 3095,3100 **** getObjectIdentity(const ObjectAddress *object)
--- 3095,3101 ----
  			{
  				HeapTuple	tup;
  				Form_pg_ts_dict formDict;
+ 				char	   *schema;
  
  				tup = SearchSysCache1(TSDICTOID,
  									  ObjectIdGetDatum(object->objectId));
***************
*** 3102,3109 **** getObjectIdentity(const ObjectAddress *object)
  					elog(ERROR, "cache lookup failed for text search dictionary %u",
  						 object->objectId);
  				formDict = (Form_pg_ts_dict) GETSTRUCT(tup);
  				appendStringInfoString(&buffer,
! 							  quote_identifier(NameStr(formDict->dictname)));
  				ReleaseSysCache(tup);
  				break;
  			}
--- 3103,3112 ----
  					elog(ERROR, "cache lookup failed for text search dictionary %u",
  						 object->objectId);
  				formDict = (Form_pg_ts_dict) GETSTRUCT(tup);
+ 				schema = get_namespace_name(formDict->dictnamespace);
  				appendStringInfoString(&buffer,
! 							  quote_qualified_identifier(schema,
! 														 NameStr(formDict->dictname)));
  				ReleaseSysCache(tup);
  				break;
  			}
